Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.iphone
Class TapZoomInAction

    java.lang.Object
      com.maryanovsky.map.client.actions.MapAction<HasTapHandlers>
          com.maryanovsky.map.client.actions.iphone.TapZoomInAction

All Implemented Interfaces:
  EventHandler, TapHandler

    public class TapZoomInAction

extends MapAction<HasTapHandlers>
implements TapHandler

Zooms the map in when the user taps the map widget.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.map.client.actions.MapAction
`isAnimated, mapWidget`

Constructor Summary
`TapZoomInAction(MapWidget mapWidget, boolean isAnimated)` Creates a new `TapZoomInAction` for the specified map widget, and with optionally animated zoom-in transition.

Method Summary
`void` | `onTap(TapEvent evt)` Invoked when the user taps the screen.
`HandlerRegistration` | `registerWith(HasTapHandlers tapSource)` Registers for handling tap events from the specified source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapZoomInAction

    public TapZoomInAction(MapWidget mapWidget,
                           boolean isAnimated)

  Creates a new `TapZoomInAction` for the specified map widget, and with optionally animated zoom-in transition.

  Parameters:
    `mapWidget` - The target map widget.
    `isAnimated` - Whether the zoom-in transition is animated.

Method Detail

### registerWith

    public HandlerRegistration registerWith(HasTapHandlers tapSource)

  Registers for handling tap events from the specified source.

  Specified by:
    `registerWith` in class `MapAction<HasTapHandlers>`

### onTap

    public void onTap(TapEvent evt)

  Invoked when the user taps the screen.

  Specified by:
    `onTap` in interface `TapHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD